# Uses of Class
org.eclipse.emf.cdo.common.lob.CDOLobInfo

Packages that use CDOLobInfo
Package
Description
org.eclipse.emf.cdo.common.lob
Common concepts for dealing with large binary objects and large character objects.
org.eclipse.emf.cdo.spi.common
Common service provider interfaces and useful base implementations.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOLobInfo in org.eclipse.emf.cdo.common.lob

Subclasses of CDOLobInfo in org.eclipse.emf.cdo.common.lob
Modifier and Type
Class
Description
`final class`
`CDOBlob`
An identifiable binary large object with streaming support.
`final class`
`CDOClob`
An identifiable character large object with streaming support.
`class`
`CDOLob<IO>`
A identifiable large object with streaming support.
Methods in org.eclipse.emf.cdo.common.lob that return CDOLobInfo
Modifier and Type
Method
Description
`protected CDOLobInfo`
CDOBlob.`put(InputStream contents)`
`protected CDOLobInfo`
CDOClob.`put(Reader contents)`
`protected abstract CDOLobInfo`
CDOLob.`put(IO contents)`
`CDOLobInfo`
CDOLobStore.Delegating.`putBinary(InputStream contents)`
`CDOLobInfo`
CDOLobStore.`putBinary(InputStream contents)`
`CDOLobInfo`
CDOLobStore.Delegating.`putCharacter(Reader contents)`
`CDOLobInfo`
CDOLobStore.`putCharacter(Reader contents)`
Methods in org.eclipse.emf.cdo.common.lob with parameters of type CDOLobInfo
Modifier and Type
Method
Description
`InputStream`
CDOLobStore.Delegating.`getBinary(CDOLobInfo info)`
`InputStream`
CDOLobStore.`getBinary(CDOLobInfo info)`
`Reader`
CDOLobStore.Delegating.`getCharacter(CDOLobInfo info)`
`Reader`
CDOLobStore.`getCharacter(CDOLobInfo info)`

## Uses of CDOLobInfo in org.eclipse.emf.cdo.spi.common

Methods in org.eclipse.emf.cdo.spi.common that return CDOLobInfo
Modifier and Type
Method
Description
`CDOLobInfo`
CDOLobStoreImpl.`putBinary(InputStream contents)`
`CDOLobInfo`
CDOLobStoreImpl.`putCharacter(Reader contents)`
Methods in org.eclipse.emf.cdo.spi.common with parameters of type CDOLobInfo
Modifier and Type
Method
Description
`InputStream`
CDOLobStoreImpl.`getBinary(CDOLobInfo info)`
`Reader`
CDOLobStoreImpl.`getCharacter(CDOLobInfo info)`

## Uses of CDOLobInfo in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo with parameters of type CDOLobInfo
Modifier and Type
Method
Description
`void`
CDOSessionProtocol.`loadLob(CDOLobInfo info, Object outputStreamOrWriter)`